Name:		redmode
Version:	1.0
Release:	2%{?dist}
Summary:	Switch to and from night red mode

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://fedoraproject.org/wiki/SIGs/Astronomy/
Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	zenity, GConf2

%description
Little shell script for GNOME to change the color theme
to red. Useful for astronomers in night.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
install -Dm 755 redmode $RPM_BUILD_ROOT%{_bindir}/redmode
install -Dm 644 redmode.conf $RPM_BUILD_ROOT%{_sysconfdir}/redmode.conf
install -Dm 644 redmode.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/redmode.xpm
desktop-file-install --vendor fedora --dir ${RPM_BUILD_ROOT}%{_datadir}/applications redmode.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/redmode
%config(noreplace) %{_sysconfdir}/redmode.conf
%{_datadir}/pixmaps/redmode.xpm
%{_datadir}/applications/fedora-redmode.desktop

%changelog
* Sun Dec 30 2007 Marek Mahut <mmahut@fedoraproject.org> - 1.0-2
- Initial build.
